#ifndef config_message_queue_impl_h
#define config_message_queue_impl_h

/**
 * \file config_message_queue_impl.h
 * \brief Configures the implementation of the message-queue.
 * \author Thomas Stegemann
 * \version $Id: config_message_queue_impl.h,v 1.1 2006/09/26 18:18:27 rschaten Exp $
 *
 * License: See documentation.
 *
 * - define the SizeType for the messageQueue
 * - the messageQueue_SizeType must hold 0..messageQueue_Size + 1, see
 *   config_message_queue.h
 * - the messageQueue_SizeType must be read/written by the processor in an
 *   atomic instruction
 */

#include <stdint.h>

typedef uint8_t messageQueue_SizeType;

#endif
